As of P init, /mnt is noexec. Mount our own tmpfs
diff --git a/rw-system.sh b/rw-system.sh
index 2fcd200..8e9b5ef 100644
--- a/rw-system.sh
+++ b/rw-system.sh
@@ -20,12 +20,13 @@
         setprop ro.keymaster.xxx.release "$Arelease"
         setprop ro.keymaster.xxx.security_patch "$(getSPL $img spl)"
 
+        mkdir -p /mnt/phh/
+        mount -t tmpfs -o rw,nosuid,nodev,relatime,mode=755,gid=0 none /mnt/phh || true
         for f in /vendor/lib64/hw/android.hardware.keymaster@3.0-impl-qti.so /vendor/lib/hw/android.hardware.keymaster@3.0-impl-qti.so /system/lib64/vndk-26/libsoftkeymasterdevice.so /vendor/bin/teed /system/lib64/vndk/libsoftkeymasterdevice.so /system/lib/vndk/libsoftkeymasterdevice.so /system/lib/vndk-26/libsoftkeymasterdevice.so /vendor/lib64/libkeymaster_helper.so;do
             [ ! -f $f ] && continue
             ctxt="$(ls -lZ $f |grep -oE 'u:object_r:[^:]*:s0')"
             b="$(echo "$f"|tr / _)"
 
-            mkdir -p /mnt/phh/
             cp -a $f /mnt/phh/$b
             sed -i \
 		    -e 's/ro.build.version.release/ro.keymaster.xxx.release/g' \